Welcome_KS

Welcome

IxServer for Windows Chassis

Online Help

Release 9.24

Documentation Conventions | Contacting us | Document version: 202207261755+05:30


Notices

Path: Notices

Notices

Copyright Notice

© Keysight Technologies 1997–2022

No part of this document may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Keysight Technologies, Inc. as governed by United States and international copyright laws.

Warranty

The material contained in this document is provided “as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Technology Licenses

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

U.S. Government Rights

The Software is "commercial computer software," as defined by Federal Acquisition Regulation ("FAR") 2.101. Pursuant to FAR 12.212 and 27.405-3 and Department of Defense FAR Supplement ("DFARS") 227.7202, the U.S. government acquires commercial computer software under the same terms by which the software is customarily provided to the public. Accordingly, Keysight provides the Software to U.S. government customers under its standard commercial license, which is embodied in its End User License Agreement (EULA), a copy of which can be found at http://www.keysight.com/find/sweula. The license set forth in the EULA represents the exclusive authority by which the U.S. government may use, modify, distribute, or disclose the Software. The EULA and the license set forth therein, does not require or permit, among other things, that Keysight: (1) Furnish technical information related to commercial computer software or commercial computer software documentation that is not customarily provided to the public; or (2) Relinquish to, or otherwise provide, the government rights in excess of these rights customarily provided to the public to use, modify, reproduce, release, perform, display, or disclose commercial computer software or commercial computer software documentation. No additional government requirements beyond those set forth in the EULA shall apply, except to the extent that those terms, rights, or licenses are explicitly required from all providers of commercial computer software pursuant to the FAR and the DFARS and are set forth specifically in writing elsewhere in the EULA. Keysight shall be under no obligation to update, revise or otherwise modify the Software. With respect to any technical data as defined by FAR 2.101, pursuant to FAR 12.211 and 27.404.2 and DFARS 227.7102, the U.S. government acquires no greater than Limited Rights as defined in FAR 27.401 or DFAR 227.7103-5 (c), as applicable in any technical data. 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


What's new in 9.24

No new feature has been added in this release.


About this guide

The information in this section helps you to navigate this guide and make better use of its content. A list of related documents is also included.

The Third-Party Software License document is included with the download package.

Purpose

This guide provides information about IxServer theory, features, functions, options, and additional test setup details.

Related Documentation

The following guides may help you learn more about IxServer:

  • IxExplorer User Guide: Provides details on the usage of the IxExplorer GUI for operation with a Keysight chassis and Keysight load modules.
  • Platform Reference Guide: Provides a detailed list of all currently supported chassis and load modules, as well as general information regarding various technologies covered by Keysight products.
  • IxOS Tcl Development Guide: Describes the structure and conventions of the IxExplorer Tcl API and provides detailed information on all API commands.

These guides are available on the CD shipped with the application, and also on the Keysight website at www.keysight.com.

In addition to these guides, IxServer context-sensitive Help is available. By pressing F1 or the IxServer's Help, information about the open application window appears. Help content can also be accessed from the Help's table of contents or index.


Chapter 1: Using IxServer

Path: IxServer overview

IxServer Overview

IxServer is a software application that provides access to the chassis hardware (that is, the load modules and physical ports) and software functions for connected client computers running IxExplorer, IxLoad, IxNetwork, TCL programs, and other applications. It also controls and monitors the chassis.

IxServer is loaded onto the chassis and sits on top of the chassis operating system. When started, IxServer detects the chassis type, the load modules types, and port types, and provides the information to any recognized client computers that have established a connection with IxServer. It also forwards client computer requests to the chassis hardware.

The following image shows client computers connected to IxServer through a LAN:

In this image, three workstations using different client software (IxExplorer, IxNetwork, and IxLoad) are connected to the chassis through IxServer.

Keysight chassis comes with IxServer already installed. IxServer must be running for the chassis to be accessible to clients.

To know how IxServer interacts with Native IxOS, see Hardware Chassis Management Console Guide.


Prerequisites

The prerequisites for installing IxServer for Windows Chassis are as follows.

Hardware requirement

Windows Chassis:

  • Windows 10, version 21H1

  • Windows 7 Ultimate 32-bit

License requirement

IxServer is a licensed component of IxOS. It must have a registered license before it can be used. If the current version of IxServer does not have a valid license, when IxServer is starts, it shows error messages in the IxServer main window, as shown in the following image:

Note: For information on installing IxOS, see the IxOS Getting Started Guide. For information on licensing, see the Ixia Licensing Utility User Guide. You can download this guide from the License Server support page.


IxServer features

This section explains the conceptual information for some of the features of IxServer for Windows Chassis.

Section contents:

Managed Mode

Secured mode

Performance Monitoring

Firewall support on Windows chassis


Managed Mode

Managed Mode enables an administrator to assign ports to users and groups of users. It allows users and groups to view and configure only those ports for which they have ownership. Different users and groups of users can be assigned to use different or overlapping sets of ports, and a user group is only able to see the ports assigned to them.

Note: If Secured Mode is active, Managed Mode is not accessible (disabled).

To know the steps to activate Managed Mode, see Activate Managed Mode.


Managed Mode rules

The following rules apply to an IxExplorer user when IxServer for Windows Chassis is in Managed Mode:

  • When not in a group, you are only able to see ports that are not assigned to any group.
  • When you are in one or more groups, you are able to see only those ports assigned to the group(s) they belong to.
  • All users of the same group can view and perform actions on all the ports of that group.
  • A user can be assigned to multiple groups.
  • A port can be assigned to multiple groups.


Secured mode

Secured mode separates users into Administrators and Operators. Administrators have read and write privileges on the chassis, while Operators only have read privileges. This is also referred to as secured multiuser operation, and is explained in IxExplorer Operation in the IxExplorer Users Guide.


Performance Monitoring

The Windows Performance Monitor (PerfMon) tool has been integrated into IxServer to help identify system-level and application-level performance issues. PerfMon is a powerful diagnostic tool that monitors the state of IxServer and creates log files that you can access and submit to Keysight Technical Support, if needed.

Some of the features of the Performance Monitor are the following:

  • The monitoring process runs automatically when IxServer starts.
  • Log files are created and stored in the folder %LOCALAPPDATA%\Ixia\IxOS\9.x.x.x\IxServer\PerfMon\. To view these files, select File, and then select Open IxServer Logs Location.
  • Log files are identified by the extension .blg and can be opened by double-clicking and viewed in Windows Performance Monitor. Use the relog command to post-process these files if required.

Note: Windows Performance Monitor is a separate system monitoring application that is integrated into IxServer but is not accessible through the Tools menu.

Logman

If you want to check which particular counters are available in the currently installed IxOS release, type the following command from an Administrator prompt while IxServer is running:

logman query IxServerPerfmon

Windows Disk Cleanup

PerfMon automatically archives the .blg files to a compressed .cab file at set intervals. Windows Disk Cleanup automatically cleans up PerfMon files and the archives after 60 days.

In a complex environment with many Windows machines, we recommend you to use a Group Policy to set up Disk Cleanup consistently across the board. See Automatic Disk Cleanup with Group Policy and SCCM for more information.


System Specific Counters

System-specific counters that are implemented and recorded in log files include the following:

Counters | Definition
Processor(_Total)\% Processor Time | How 'loaded' the CPU is at any given time.
PhysicalDisk(_Total)\Avg. Disk Queue Length | The average number of both read and write requests that were queued for all the disks during the sample interval.
Memory\Pages/sec | The rate at which pages are read from or written to disk to resolve hard page faults. This counter is a primary indicator of the kinds of faults that cause system-wide delays.
Memory\Available MBytes | The amount of physical memory available to processes running on the computer.
Memory\Pool Nonpaged Bytes | The size in bytes of the nonpaged pool (system memory area for objects that cannot be written to disk but remain in physical memory as long as they are allocated).
Memory\Pool Paged Bytes | The size in bytes of the paged pool (system memory area for objects that can be written to disk when they are not being used).
Memory\% Committed Bytes In Use | The ratio of committed memory and commit counter. This counter shows the current percentage value only, not the average. Committed memory is the physical memory in use for which space has been reserved in the paging file should it need to be written to disk.
Memory\Commit Limit | The amount of the virtual memory that can be committed without having to extend the paging file(s). Committed memory is the physical memory which has space reserved on the disk paging files. There can be one paging file on each logical drive. If the paging file(s) are expanded, this limit increases accordingly. This counter shows the last observed value only, not the average.
Memory\Committed Bytes | The amount of committed virtual memory, in bytes. Committed memory is the physical memory which has space reserved on the disk paging file(s). There can be one or more paging files on each physical drive. This counter shows the last observed value only, not the average.
\\Memory | RAM memory usage statistics.
\\Cache | Disk Cache subsystem statistics.
\\LogicalDisk(*) | C, D, E, and other drives.
\\PhysicalDisk(*) | Hard disk activity statistics.
\\Paging File(*) | Virtual memory backing store information.
\\Processor Information(*) | Processor % Time User vs. privileged DPC/Interrupts and C1/C2/C3.
\\Synchronization(*) | Shared or synchronized objects and Spinlocks activity.
\\System | System performance and throughput statistics.
\\Process(*) | All the counters for all the processes in the system.
\\Thread(*) | Context switch and state information.
\\Network Interface(*) | All about the NICs installed in the chassis.
\\IPv4 | Datagram statistics.
\\TCPv4 | TCP protocol activity and errors.
\\UDPv4 | UDP protocol activity and errors.
\\Terminal Services | RDP session activity.

You can double-click the PerfMon native BLG file to see the graphs as shown in the following image:


IxServer Specific Counters

Counters | Definition
Process(IxServer)\%Processor Time | The percentage of elapsed time that all IxServer threads used the processor to execute instructions. Code that was executed to handle some hardware interrupts and trap conditions is included in this count.
Process(IxServer)\Working Set | The current size (in bytes) of the set of the memory pages touched recently by IxServer threads. If free memory in the computer is above a threshold, pages are left in the Working Set of a process even if they are not in use.
Process(IxServer)\Handle Count | The total number of handles currently open by IxServer. This number is equal to the sum of the handles currently opened by each thread in IxServer.
Process(IxServer)\Page File Byte | The current number of bytes that this process has used in the paging file(s). Paging files are used to store pages of memory used by the process that are not contained in the other files. Paging files are shared by all processes, and the lack of space in paging files can prevent other processes from allocation memory.
Process(IxServer)\Pool Nonpaged Bytes | The size in bytes of the nonpaged pool, an area of system memory (physical memory used by operating system) for objects that cannot be written to disk, but must remain in physical memory as long as they are allocated. Memory\\Pool Nonpaged Bytes is calculated differently than this, so it might not equal Process\\Pool Nonpaged Bytes\\_Total. This counter shows the last observed value only, not an average.
Process(IxServer)\Pool Paged Bytes | The size in bytes of the paged pool, an area of system memory (physical memory used by the operating system) for objects that can be written to disk when they are not being used. Memory\\Pool Pages Bytes is calculated differently than this, so it might not equal Process\\Pool Pages Bytes\\_Total. This counter shows the last observed value only, not an average.
Process(IxServer)\Virtual Bytes | The current size, in bytes, of the virtual address space that IxServer is using. Use of virtual address space does not necessarily imply corresponding use of either disk or main memory pages. Virtual space is finite, and the process can limit its ability to load libraries.


Firewall support on Windows chassis

On starting up IxServer, it checks the firewall rules automatically. The rules programmed by IxOS are all named starting with 'ks-'.

Note: Any rule named 'Ixia Tcl Server' or 'Ixia I/O Server (IxServer)' may have been created by Windows if you attempted to run an older IxOS version without Firewall support, and then enabled the Firewall. In that case, Windows will attempt to program the rules for you, but that will not be sufficient for correct operation. These rules should be deleted.

.

Commands to check the Firewall state

Following are the commands to check firewall state in the chassis:

  • Windows 7 chassis:

netsh advfirewall show allprofiles

  • Windows 10 (PowerShell):

Get-NetFirewallProfile

Internal networks such as IxiaVNIC and TenSpeed, are excluded from firewall so that it does not interfere with any internal rules.

These networks will appear highlighted in red in the Windows Defender Firewall screen.

Note: If you turn on the firewall, you can switch to other IxOS versions, which support firewall.


Usage Overview

Path: Usage Overview

IxServer tasks

There are various configurable IxServer options. The Tools menu provides access to server tools that you can configure, run diagnostic tests, set the security feature, and configure the restricted access and ownership of ports by users and groups of users.

This section explains the primary IxServer tasks, based on starting and exiting IxServer and the available menu bar options.

Section contents:

Start IxServer

Manage licenses

Modify main window view

Activate Managed Mode

Enable secured mode

Disable secured mode

Configure users

Configure groups

Configure Options

Change IxServer appearance

Activate feature

Turn on mandatory ownership

Disable forcefully taking or clearing ownership

Clear ownership on disconnect

Make LLDP protocols available on Ixia port

Turn on extended capture mode

Manage event log files

Collect traces manually from chassis

View server statistics

Configure Diagnostics

View IxServer version

Stop and exit IxServer


Starting IxServer

Path: IxServer tasks > Start IxServer

Start IxServer

You can start IxServer in different ways.

Start automatically from Startup

You can configure IxServer for Windows Chassis to start automatically when the chassis powers up. No operator intervention is necessary.

When you install an IxOS build, IxOS copies the shortcuts for TCL server and IxServer in the startup folder. When you restart a chassis, these servers restart automatically.

Start as service

While installing the build, if you select Run as Service, IxOS installer will create a Windows Service for IxServer (or TCL Server), which you can start or stop from Windows Service Control Manager. Desktop Shortcuts and IxServer User Interface are not available.

If you want to configure IxServer or TCL Server, you must stop the service, manually invoke server from Start Menu shortcuts, close the server, and restart the service.

Start from desktop shortcut

You can start or stop IxServer or TCL Server manually from desktop or Start menu shortcuts.

To start IxServer from desktop shortcut, do the following:

  • Double-click the desktop icon [image] to start IxServer, which was installed as part of the IxOS installation process.

Note: IxServer may automatically run when the chassis is powered up, so it is not always necessary to manually start IxServer.

Related Topics Link Icon Related Topics


Manage licenses

To manage licenses from IxServer, do the following:

  1. Select Help > Licensing > Manage Licenses. Licensing Utility dialog box opens showing the list of available licenses.

  2. Select the license and select Activate License.

For information on licensing, see the Ixia Licensing Utility User Guide. You can download this guide from the License Server support page.


Modify main window view

You can modify the manner in which the main IxServer window is shown by using the View menu. This menu allows you to add or remove the Toolbar and Status bar from the window. By default, both the tool bar and the status bar are shown when IxServer is run.

  • To hide the tool bar, select View > Toolbar.
  • To hide the status bar, select View > Status Bar

You can hide both the Toolbar and the Status bar simultaneously.

Related Topics Link Icon Related Topics


Activate Managed Mode

A list of managed mode rules are given in Managed Mode rules.

To activate Managed Mode, do the following:

  1. On the Tools menu, select Managed Mode. The Manage Mode dialog box appears as shown in the following image:

  2. Enter the Administrator name and password credentials.
    Note:
    • If Managed Mode is used on this chassis for the first time, the Administrator and password credentials entered at this point will be configured and saved for later use of Managed Mode only by the Administrator of the chassis.
    • If Managed Mode has been previously configured on the chassis, enter the Administrator name and credentials in the Administrator, Password, and Confirm Password boxes.
  3. Select Manage. The Manage Assignments dialog box appears. This allows you to activate Managed Mode, configure users, groups, and change administrator password.

  4. Select the Enable Managed mode check box to activate the managed mode.


Enable secured mode

To secure IxServer, do the following:

  1. On the Tools menu, select Secured Mode to open the Secure Mode dialog box. A dialog box opens warning of the properties of secured mode, as shown in the following image:
  2. Select Yes to open the Secure Mode dialog box as shown in the following image:
  3. Provide the details in the Secure Mode dialog box and select Enter Secure Mode to set up the administrator account and activate secured mode. A dialog box appears, confirming that IxServer and the chassis is locked to everyone except the specified administrator.

Note: Administrator name must be alphanumeric.

  4. Select OK to placeIxServer and the chassis in secured mode. This action blocks all current connections, and all users on the chassis are immediately initiated to log on.

Initially, only the user name and password of the administrator is accepted. The administrator can add users to the chassis from IxExplorer, and make a user either an operator (read privileges only) or an administrator (read and write privileges).

A check mark is also placed next to Secured Mode in the Tools menu.

For more information on secured multiuser mode, see IxExplorer Operation in the IxExplorer Users Guide.


Disable secured mode

To unlock IxServer for all users after it has been set to secured mode, do the following:

  1. On the Tools menu, select Secured Mode to open the Secure Mode dialog box. A dialog box appears warning about the properties of secured mode, as shown in the following image:
  2. Select Yes to open the Secure Mode dialog box.
  3. To deactivate secured mode, enter the administrator credentials or the credentials of any user name with administrator privileges.
  4. Select Exit Secure Mode. A dialog box appears, confirming that IxServer and the chassis is now unlocked to all users.
  5. Select OK to reactivate any currently locked-out user connections on the chassis.


Configure users

To configure users, complete the steps in this section.

Add a user

To add a user, do the following:

  1. In the Users box, select Add User to create a new user.
  2. In the User dialog box appears, enter the user's name, and then select OK.

Modify a user

To modify a user name, do the following:

  1. To modify a user's name, select Modify User.
  2. In the User dialog box modify the user's name, and then select OK .

Delete a user

To delete a user, do the following:

  • Select the user's name and select Delete User .

The following image shows a sample list of 5 users:


Configure groups

You must have administrator privileges to add, modify, or delete a group.

Add a group

To add a group, do the following:

  • In the Groups box, select Add Group to create a new group. The Group dialog box appears, where you enter the group's name, and then select OK .

Modify a group

To modify a group name, do the following:

  1. Select the name of the group and select Modify Group. The Group Assignment dialog box appears. You can assign ports to the users in the group in this dialog box. You must define the users as <machine_name>\<user_name>. For example, appserver1\admin01.
  2. Select the ports in the Port List and select >> to include them in the group and select << to exclude them from the group.
  3. Select the users in the User List and >> to include them in the group and select << to exclude them from the group.
  4. Select OK to close the dialog box and confirm the changes. The Manage Assignments dialog box again appears.
  5. Select OK in the Manage Assignments dialog box to save the changes.

The configuration is saved on the server in a file named IxServer.ixmd , which automatically loads when IxServer starts. Any subsequent changes to the Managed Mode configuration overwrites the IxServer.ixmd file. If you erase this files, the Managed Mode configuration data is lost.

Delete a group

To delete a group, do the following:

  • Select the name of the group and select Delete Group.

The following image shows a sample list of four groups:


Options

Path: IxServer tasks > Configure Options

Configure Options

The Options dialog box allows you to configure IxServer logging, appearance, sockets used, activate features, and configure the IxServer usage modes, including extended capture, diagnostic, and Mandatory Ownership modes.

To configure Options, do the following:

  1. On the Tools menu, select Options to show the Options dialog box.

  2. Configure the General, Power-up Test, Hardware Parameters, and Event Logging tabs as you want. See Options to know the definitions of different controls on these tabs.


Change IxServer appearance

You can change the appearance of the text in the IxServer task window. To change the appearance, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the Appearance group, select Font to open the Font dialog box.

  3. Change the Font, Font style, Size, Effects, Color, and Script from the options available and select OK.

  4. In the Options dialog box, select Apply to apply the changes to the text.

  5. Select OK to close the Options dialog box.


Activate feature

You can field upgrade a load module by activating a feature you want. You can purchase a feature for a load module with a specific serial number. You will receive an email from us containing an activation code. Before activating the feature, in IxExplorer, you must take ownership of the load module you want to upgrade. You cannot hot-swap the load module to complete the activation procedure.

After you have taken ownership, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the Feature Activation > Open IxExplorer group, select Open IxExplorer to open IxExplorer of the corresponding release.

  3. In IxExplorer, open the context menu of the chassis and select Properties.

  4. On the Features tab, type the activation code in the Feature Activation box, and then select Activate to activate the feature. IxServer searches the chassis for the serial number that is embedded in the activation code and permanently activates the feature on the load module.

  5. Select OK to save the changes and close the dialog box.

Example: You can upgrade your Xcellon Multis load modules to become 10G capable. For more information, see IxExplorer User Guide.


Turn on mandatory ownership

You can turn on mandatory ownership on a port or a load module to lock it for other users. To turn on mandatory ownership, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the Ownership group, select Mandatory Ownership check box and select OK.

Note: Restart IxServer for Windows chassis to turn on this feature.

In IxExplorer, you must sign in and take ownership before you start using any IxExplorer feature on this port or card. See, IxExplorer Guide for information on taking ownership.

To turn off mandatory ownership, clear the Mandatory Ownership check box, select OK, and restart IxServer for the change to take effect.


Disable forcefully taking or clearing ownership

You stop other users from forcefully taking or clearing ownership of a chassis for which you have mandatory ownership. To stop other users from forcefully taking or clearing ownership, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the Ownership group, select Disable Forcefully Clear Ownership check box and select OK. This option is not made available by default.


Clear ownership on disconnect

You can set IxServer to clear your ownership on crash or close. To activate this, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the Ownership group, select Clear Ownership on Disconnect check box and select OK.


Make LLDP protocols available on Ixia port

When an appliance uses IxOS, usually, IxNetwork Port Manager shows the port and the user connected to it. If you make LLDP protocols available on ports, Port Manager will show the system name, system IP, system MAC, port ID, and port speed of the DUT connected to the port.

To make LLDP protocols available on port, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the IxServer Modes group, select Enable LLDP protocol on Ixia ports and select OK.

IxServer sends the port information to the IxNetwork Port Manager and you can view the same from the Port Manager.


Turn on extended capture mode

This option is available only in XGS12 chassis to turn on capture on all eight resource groups of Novus100G load module. After you turn on the capture support for all eight resource groups, IxServer stops and a message appears in the log stating that Capture mode is changed and a restart is needed.

After the capture mode is turned on, it turns off the slots 1, 2, 11, and 12 of the chassis.

To turn on this mode, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the General tab, in the IxServer Modes group, select Extended Capture Mode check box and select OK.

  3. Restart IxServer.


Event Logging Tab

Path: IxServer tasks > Manage event log files

Manage event log files

You can control the control the manner in which logging files are created and saved by using the Event Logging tab.

To configure the Event Logging tab, do the following:

  1. Select Options in the Tools menu in the menu bar. When the Options dialog box appears, select the Event Logging tab.
  2. Select the options you want and select OK to save the changes.

Note: You can select High volume stat requests and Polling to capture additional logging that can help you to identify a problem, if any issue occurs with IxServer. For more information, see Options: Event Logging tab of Options.


Collect traces manually from chassis

If you want to collect some traces manually from the chassis, do the following:

  1. Go to Tools > Options to open the Options dialog box.

  2. On the Event Logging tab, in the ETW Traces group, enter a star (*) and select Rotate Now to flush to disk and rotate all the traces.

  3. Open a Windows Explorer to locate the trace files for manual retrieval.


Server Statistics

Path: IxServer tasks > View server statistics

View server statistics

In the IxServer Diagnostic dialog box, select Server Stat to open the Socket Connections dialog box. This dialog box shows various statistics for each client computer connection to the chassis.


Diagnostics

Path: IxServer tasks > Configure Diagnostics

Configure Diagnostics

Diagnostic tests are used to confirm the correct operations on a chassis port. You can turn on or off stats on a port, view the feature capabilities of a port, run memory test, log Mii registers, reboot local CPU, hotswap a port, log PCPU queues, print subscriptions, and many more.

Note: Diagnostics tests are intended for internal use only. We recommend a guided use of these tests.

To configure diagnostic tests, do the following:

  1. Open the Diagnostics dialog box by selecting Diagnostics in the Tools menu.
  2. Select the options as you require. The required operation is performed as soon as an option is selected. The results of the operation are immediately shown in the IxServer task window.
  3. Select Close to close the dialog box.

For information on the UI controls of Diagnostics dialog box, see Diagnostics.


About IxServer

Path: IxServer tasks > View IxServer version

View IxServer version

The About menu in the menu bar shows the IxServer version number and copyright information.

To view this information, select Help > About IxServer. The About IxServer - Versions dialog box appears, as shown in the following figure:

The version number and copyright information are shown in this dialog box. To close the dialog box, select OK.


Stop and exit IxServer

To shut down IxServer, complete one of the following:

  • Select File, and then select Exit.
  • Select [image] in the upper right corner of the main window to shut down IxServer. A warning dialog box appears. Select Yes to confirm your action.

Related Topics Link Icon Related Topics


UI controls

This section explains the UI controls used in various windows of IxServer for Windows Chassis.

Section contents:

IxServer main window

Tools

Options

Options: General tab

Options: Power-up Test tab

Options: Hardware Parameters tab

Options: Event Logging tab

Diagnostics

Socket Connections

Secured Mode dialog box


IxServer window

The IxServer window consists of the following components:

  • Menu bar
  • Toolbar
  • Task window
  • Status bar

Figure:IxServer Window

The following table describes the UI controls of the components of IxServer main window:

    Field | Usage
    Menu Bar

    Lists the menu options for the server. These options include the following:

    • File: Allows to open the locations of various files and shut down IxServer.
    • View: Allows to modify the view of the IxServer main window, and is described in Modify main window view.
    • Tools: Allows to configure IxServer options, run diagnostic tests, and enter Secure Mode.
    • About: Shows the version number and copyright information for IxServer, and is described in View IxServer version.
    Toolbar

    Shows the following options:

    • : Allows to print the information in the IxServer Task window.
    • : Allows to access IxServer help.
    Task window

    Conveys information on server, diagnostic, and test configurations and operations. The task window shows the operations being performed by the server in real time. Operations include attempts by Keysight clients to sign in to the server, the diagnostic tests of IxServer, and the active tests being run by clients. The server display has following options:

    • Date/Time: Shows the date and time a particular server action was logged, in the format mm-dd-yyyyhh:mm:ss. The time (hours, minutes, seconds) is in the 24-hour format.
    • Card: Shows the load module card on which the server action was performed.
    • Port: Shows the card port on which the server action was performed.
    • Result: Shows 'fail' if a start up test or diagnostic operation fails.
    • Event: A description of the server action.
    Status bar and Connections display | Used to convey the status of various server operations. The Status bar Connections entry shows three numbers separated by colons. The first number represents the number of client computer connections, including Tcl clients (Wish, Expect), IxExplorer clients, Stream Statistic Views, Packet Group Statistic Views (IxOS 5.10 and later), or Latency Views (IxOS 5.00 or earlier). The second number represents the number of Stat View 'watch' processes monitoring the chassis, which would include IxExplorer Stat View instances and TCL statWatch objects. The third number is no longer used and should always be zero.

Related Topics Link Icon Related Topics


Tools

There are four options in the Tools menu. These are mentioned in the following list:

Tools | Usage
Options | Allows to set set IxServer logging, appearance, sockets used, activate features, and configure the IxServer usage modes including extended capture, diagnostic, and Mandatory Ownership modes. The Options configuration parameters are described in Options.
Diagnostics | Allows to run tests on the chassis and view IxServer connection statistics. Diagnostics options are described in Diagnostics.
Secured Mode | Allows to set authentication requirements for wanting to connect to IxServer. Secured Mode is described in Secured Mode. If Secured Mode is active, Managed Mode is not accessible (disabled).
Managed Mode | Allows to access the ports that you can see, own, modify, and use. You can configure user ownership of ports and create groups of users with common restrictions or access. See Managed Mode. If Secured Mode is active, Managed Mode is not accessible (disabled).


Options

There are four tabs in the IxServer Options dialog box. These tabs are described in the following list:

Tabs | Usage
General | Sets the Read/Write timeout and the IxServer main window appearance. This tab is described in General tab.
Power-up Test | Controls the parameters of the test initiated when IxServer is started. This tab is described in Power-up test tab.
Hardware Parameters | Shows the I/O hardware address offset. This tab is described in Hardware Parameters tab.
Event Logging | Controls when to start logging, when to name logging files, and when to generate new files. This tab is described in Event Logging tab.


Options: General tab

The UI controls of the General tab are explained in the following table:

For IxVM load module, the General tab is shown in the following figure:

The highlighted box indicates the fields that are available only for IxVM ports.

Field | Usage

Read/Write Timeout

Allows to set the IxServer Read/Write timeout, in seconds. Any client computer connection to IxServer that has been inactive for this amount of time is closed.

Appearance

Allows you to change the appearance of the text in the IxServer Task window. To know the steps to change the appearance, see Change IxServer appearance.

Show server and chassis info

Select the check box to show the chassis and server information on the LCD display.

If cleared, all the information is hidden from the user.

The following possible states for XM2 and XM12 are shown:

  • During Server startup

    • Starting up
    • Power Up
    • PHY link is up/down

  • When Server is ready

    • Server Ready

    • IxOS Version: <The actual version number>
    • Chassis Name: <The actual name of the chassis>
    • Chassis: < Primary/Secondary>
    • IP Address: <The actual IP address of the chassis or 'Unknown IP'>
    • Chassis Number: <The id number of the chassis (1/2/3)>
    • Server <FAIL/OK>
    • ScrollerCoreErr

  • During Server shutdown

    • Server Stopped

Clear LCD fail message

Clears the failure notification shown on the physical chassis LCD in case an error occurs, provided the chassis has an LCD display.

Feature Activation ->

Open IxExplorer

Feature Activation can perform a field upgrade of a load module. To know the steps to activate a feature, see Activate feature.

Save/Reload stream config (disable for faster reboot)

By default, the Save/Reload stream config (disable for faster reboot) check box is selected.

When you clear the check box, a part of the information in IxServer.ixs (the stream config) will not be loaded, in order to boot up IxServer faster.

For VM ports, the check box is not visible in the IxExplorer GUI.

Note: IxServer.ixs file is always loaded on IxServer startup.

License Server

The name of the external IxVM license server for server licenses.

Note: This field is available for only available only for IxVM ports.
NTP Master Server

Represents the IP/hostname of the NTP server that the IxVM cards synchronizes their time to. If you are running traffic from IxVM ports from multiple chassis, the NTP Master Server needs to be the same on all the chassis.

Note: This field is available for only available only for IxVM ports.
Default Start Tx Delay (Seconds)

Delays the start of the scheduled stream by the number you enter in seconds.

Note: This field is available for only available only for IxVM ports.
Disable Forcefully Clear Ownership | When you select Disable Forcefully Clear Ownership check box, users cannot forcefully clear or take ownership. This option is not made available by default.
Mandatory Ownership

After you select this check box, the port or card will be locked for other users. In IxExplorer, you must sign in and take ownership before you start using any IxExplorer feature on this port or card. See, IxExplorer Guide for information on

To know the steps to take ownership, see Turn on mandatory ownership.
Clear Ownership on Disconnect | After you select this check box, if IxServer crashes or closes abruptly, your ownership on the load module will clear.
Extended Capture Mode

After you turn on the capture support for all 8 RGs of a Novus100G LM by selecting this check box. IxServer stops and a message appears in the log stating that Capture mode is changed and a restart is needed.

This option is seen only in XGS-12 chassis. After it is turned on, it turns off the slots 1, 2, 11, and 12 of the chassis.

Related Topics Link Icon Related Topics


Options: Power-up Test tab

The following table describes the UI controls of the Power-up Test tab:

Test | Field | Usage
Memory Test |  | A memory test runs a check of the load module memory, used for background data, capture buffer, overlay data, and so forth. The test writes read patterns to the RAM and verifies that it can hold the data.
 | Incrementing Address | Selecting this option increments the value of the data written during a memory test.
 | Decrementing Address | Selecting this option decrements the value of the data written during a memory test.
 | Page Test | Selecting this option verifies that each page of memory can be written in increments of 64 KB.
MSD Diagnostics |  | Hardware tests that IxServer runs on each load module to ensure the hardware is not faulty.
 | Execute automatically on startup every 14 days | Selecting this option runs MSD tests automatically every 14 days on startup of a card.


Options: Hardware Parameters tab

The following table describes the UI controls of the Hardware Parameters tab:

Field | Usage
I/O Port | Shows the input/output hardware offset address of the chassis, in hexadecimal format. Different chassis have different offsets. The offset must be added to registers (that is, a card register at 100 hex) to correctly identify the register address.


Options: Event Logging tab

The Event Logging tab is used to control the manner in which logging files are created and saved.

The following table describes the UI controls of the Event Logging tab:

Group | Field | Usage

Enable Logging

If selected, starts an event.

Session Begin/End

If selected, the start and stop time of each client session is logged.

Events

If selected, enables logging of events.

Errors

If selected, enables logging of errors.

High volume stat requests

If selected, enables logging of high volume statistics requests. This is mainly used for investigation purposes. If an issue occurs with IxServer, more logging will be added in the IxServer log that can help you to identify the problem.
Polling | If selected, additional logging for periodic operations are added.

File Name Format

Indicates the name under which the various log and csv files are kept. The event files are logged into the same folder in which the IxExplorer was loaded (usually c:\Program Files\Ixia\IxOS\version X). The name may contain any of the following character sequences, which are substituted with actual values when each log file or csv file is created:

  • %Y: The four digit year number. For example, 2008.
  • %m: The two digit month number. For example, 01 for January.
  • %d: The two digit day number within the month.
  • %a: The abbreviated weekday name.
  • %A: The full weekday name.
  • %b: The abbreviated month name.
  • %B: The full month name.
  • %c: The date and time appropriate for the locale.
  • %H: The hour in 24-hour format.
  • %I: The hour in 12-hour format.
  • %j: The day of the year as a decimal number.
  • %M: The minute as a decimal number.
  • %p: The AM/PM indicator.
  • %S: The second as a decimal number.
  • %U: The week of the year as a decimal number.
  • %w: The weekday as a decimal number.
  • %W: The week of the year as a decimal number.
  • %x: The date representation for the current locale.
  • %y: The two digit year number. For example, 99.
  • %z,%Z: The time-zone name or abbreviation.
  • %%: The percent sign.

Open New Log

This group of options controls when a new log file is created.

Daily/Weekly/Monthly

A new log is started on a daily, weekly, or monthly basis, depending on the selection.

When file size exceeds __ MB

If this is selected, a new log is also started when the size of a log file exceeds a specified size.

ETW Traces | Event Tracing for Windows (ETW) is an advanced method of collecting tracing information for diagnostics purposes. Traces are automatically rotated as necessary, for example, when diagnostics collection is invoked from IxExplorer. To collect traces manually from the chassis, see Collect traces manually from chassis.

Related Topics Link Icon Related Topics


Diagnostics

As soon as you select an option in this dialog box, IxServer for Windows Chassis performs the action and shows the result in the IxServer Task window.

The following table describes the UI controls of the Diagnostics dialog box:

Field | Usage
Card | The load module card number in the chassis on which a selected test is to be performed.
Port | The port number of the load module on which a selected test is to be performed.
Enable Port | Turn on stats on port.
Disable port | Turn off stats on port.
Feature map | This shows the list feature capabilities available on port and shows its status.
TxSRAM | Dumps the contents of the transmit SRAM cache for the selected port to the IxServer Task window.
TxDRAM | Dumps the contents of the transmit DRAM cache for the selected port to the IxServer Task window.
RxDRAM | Dumps the contents of the receive DRAM cache for the selected port to the IxServer Task window.
Dump 10GSw | Dumps the statistics for the TenSpeed switch, if equipped.
PCPU Uart | Dumps memuart for the selected port/PCPU to the IxServer task window.
Mem Test | Performs a memory test for the selected card (across the whole chassis when card is zero).
Mii Registers | Selecting this option causes IxServer to read the configured Media Independent Interface (Mii) settings for the selected port.
Reset 10GSW | Resets the TenSpeed Switch if equipped. This may temporarily disrupt communication to/from any TEC-based load module, so use with caution.
Port Trace | (No longer supported)
LP Reboot | Restarts the selected port CPU, and reloads the firmware.
Server Stat | Shows the server statistics in the Socket Connections dialog box, explained in View server statistics.
Force hotswap | Performs a hotswap for the selected card; use only if no users are connected. Normal users should prefer to use IxExplorer.
Phy Upgrade | Forces the Gennum EEPROM download for the selected port, if equipped.
Queues | Shows information about some internal queues. Queues dumps the state for the entire chassis (ignoring the card/port selectors).
Tasks | Lists all the tasks for the entire chassis (ignoring the card/port selectors).
PCPU Queues | Dumps raw contents of the selected PCPU queue.
Subscriptions | Dumps the internal state of the Publish/Subscribe subsystem. This shows the subscriptions for notifications in the IxServer task window.


Socket Connections

From the Socket Connections dialog box, you can view the server statistics.

The following table describes the UI controls of the Socket Connections dialog box:

Field | Description
ID | A generated ID number for the connection.
Port | The socket port being used for the user connection.
Peer Address | The IP address and TCP port of the session client.
User | The user name of the client computer, if the users have signed in.
TimeUp | The length in time the connection has been linked to IxServer. The format is hh:mm:ss.
Recv Msgs | The number of messages received from the client computer side of this connection.
Recv Bytes | The number of bytes received from the client computer side of this connection.
Recv Q | The socket connection receive queue size, in bytes.
Send Msgs | The number of messages sent to the client computer side of this connection.
Send Bytes | The number of bytes sent to the client computer side of this connection.
Send Q | The socket connection send queue size, in bytes.
Requests | The number of requests received from the client computer side of this connection.
Replies | The number of replies sent to the client computer side of this connection.
Foreign Requests | The number of unknown requests received from the client computer side of this connection.
Sndr State | The current state of the packet sender. Either up or down.
Rcvr State | The current state of the packet receiver. Either up or down.
Kill | Selecting this option terminates a highlighted connection.


Secured Mode

Path: UI elements > Secured Mode dialog box

Secured Mode dialog box

The following table describes the UI controls of the Secured Mode dialog box:

Field | Usage
Administrator name | The alphanumeric user name of the Administrator. This name is the only one that is accepted by the log on prompt when attempting to access the chassis from IxExplorer.
Password | A password associated with the Administrator name. The characters entered are hidden by asterisk (*).
Confirm Password | A confirmation of the password entered in the preceding field. The characters entered are hidden by asterisk (*).


Starting IxServer

Path: Load modules eligible for Trade-in program

Load modules eligible for Trade-in program

The following load modules that have reached end of life (EOL) or end of sale (EOS) are eligible for the Trade-in program:

  • Xcellon-FlexFE10G16S
  • Xcellon-FlexAP10G16
  • LSM10GXM8S-01
  • LSM10GXM8XP-01
  • LSM10GXM8-01
  • LSM1000XMVDC16-01
  • LSM1000XMV16-01

Note: You can upgrade from existing legacy load modules to NOVUS 1G/10G by using the Trade-in program.

To check the eligibility for trade-in of a load module see the Trade-in portal: https://support.ixiacom.com/trade-in/check.

If you have opted for a trade-in of any load module but have not returned or scrapped the load module within ninety days of shipment of the newly purchased load module, the trade-in product is deactivated, and all Keysight support obligations terminated.
The serial numbers of such load modules are added to the EOL list.

If a load module present in the current chassis, is included in the EOL list, on server boot up a message appears in IxServer logs.
An example of such message is as follows:

03-16-2017 12:33:11.265 09a0 11 Alert Removing Load Module with serial '082848' part number '860-1229-15' as it has been deactivated according to the Ixia trade-up program.


Starting IxServer

Path: Metronome Time Synchronization

Metronome Time Synchronization

Metronome provides time synchronization of independent Keysight chassis and chassis chains located anywhere in the world from multiple external time delivery sources.

When chassis are linked together into a chassis chain by sync cables, the time source selected for the primary in the chain is the basis for the timing of ALL chassis in that chain. Any time source selected for an individual secondary chassis is overridden by the timing supplied from the primary chassis.
Metronome is used with the XGS2-SD, XGS2-HS, XGS12-SD and XGS12-HS chassis and the AresONE fixed form factor chassis. Every metronome in the system can provide timing and triggers to eight chassis.

IxServer logs detects the Metronome timing source and contains the entries for the primary chassis as shown in the following figure:

If IxServer does not detect Metronome, the logs will not contain the entries for the primary chassis as shown in the previous image.
Instead, IxServer will show legacy chassis chain information.

IxServer logs detects the Metronome timing source and contains the entries for the secondary chassis as shown in the following figure:

If IxServer does not detect Metronome, the logs will not contain the entries for the secondary chassis as shown in the previous image. Instead, IxServer will show legacy chassis chain information.

For more information on chassis chain timing specifications, see Platform Reference Guide.


Chapter 1: Using IxServer

Path: Appendix A

Appendix A: Load Modules not supporting High Performance mode

The following Load Modules that are End-Of-Development starting from IxOS 9.00 are not supported in High Performance Mode:

Load Module Name
EIM10G4S
EIM1G4S
EIM40G2Q
HSE40/100GETSP1-01
HSE40/100GETSPR1-01 40/100 GE Data Plane Only
HSE40GEQSFP1-01 (EOL 12/20/2019)
HSE40GETSP1-01 (EOL 11/5/2017)
LM1000STX4 (EOL 11/5/2017)
LM1000STXR4 (11/05/2017) (CHINAPL)
LM1000STXS4-256
LM622MR (EOL 11/05/2017)
LM622MR-512
LSM1000XMVR12-01
LSM1000XMVR4-01
LSM1000XMVR8-01
LSM10G1-01
LSM10GR1-01 (EOL 1/1/2018)(CHINAPL)
LSM10GXM2GBT-02
LSM10GXM2NG-01 NGY - Fusion Enabled
LSM10GXM2XP-01
LSM10GXM4GBT-02
LSM10GXM4NG-01 NGY Fusion Enabled
LSM10GXM4XP-01
LSM10GXM8NG-01 NGY Fusion Enabled
LSM10GXM8XP-01
LSM10GXMR2GBT-02
LSM10GXMR4GBT-02
LSM10GXMR8GBT-02
MSM2.5G1-01
FCMGXM4S-01
FCMGXM8S-01
Xdensity XDM10G32S
XDENSITY,XDM10G8S,10GBE,8-PORTS,SFP+,LOAD MODULE


Documentation conventions

The following documentation conventions are used in this guide:

Describing interactions with the UI

You can interact with products by using different input methods: keyboard, mouse, touch, and more. So in most parts of the user documentation, generic verbs have been used that work with any input method. In cases where input-neutral verbs do not work, mouse-specific verbs are used as the first choice, followed by touch-specific verbs as the second choice.

See the following table for examples on how you can interpret the different input methods.

Input-neutral | Mouse | Touch
Select Modify. | Click Modify. | Tap Modify.
Select Accounts > Other accounts > Add an account. | Click Accounts > Other accounts > Add an account. | Tap Accounts > Other accounts > Add an account.
To open the document in Outline view, select View > Outline. | To open the document in Outline view, click View > Outline. | To open the document in Outline view, tap View > Outline.
Select Protocols. | Click the Protocols tab. | Tap Protocols.
-NA- | Double-click the Client wizard. | Double-tap the Client wizard.
Open the Packages context menu. | Right-click Packages to open the shortcut menu. | Long tap Packages to open the shortcut menu.
Deprecated words

The following words have been replaced with new words, considering the audience profile, our modern approach to voice and style, and our emphasis to use input-neutral terms that support all input methods.

Old usage… | New usage…
shortcut menu, right-click menu | context menu
click, right-click | select
drag and drop | drag


Ixia_Contacts

Contact Us

Ixia headquarters

1400 Fountaingrove Parkway

Santa Rosa, CA 95403-1738

+1 877 367 4942 – Toll-free North America

+1 818 871 1800 – Outside North America

+1.818.871.1805 – Fax

www.ixiacom.com/contact/info

Support

Global Support | +1 818 595 2599 | support@ixiacom.com
Regional and local support contacts:
APAC Support | +91 80 4939 6410 | support@ixiacom.com
Australia | +61-742434942 | support@ixiacom.com
EMEA Support | +40 21 301 5699 | support-emea@ixiacom.com
Greater China Region | +400 898 0598 | support-china@ixiacom.com
Hong Kong | +852-30084465 | support@ixiacom.com
India Office | +91 80 4939 6410 | support-india@ixiacom.com
Japan Head Office | +81 3 5326 1980 | support-japan@ixiacom.com
Korea Office | +82 2 3461 0095 | support-korea@ixiacom.com
Singapore Office | +65-6215-7700 | support@ixiacom.com
Taiwan (local toll-free number) | 00801856991 | support@ixiacom.com


General tab

The General tab allows to set the IxServer Read/Write timeout and the font settings for the main IxServer window. By default, it is the first tab displayed when Options is selected from the Tools menu in the menu bar.

To configure the General tab, complete the following steps:

  1. Set the IxServer Read/Write timeout, in seconds in the Read/Write Timeout box.
  2. Select Font button to select the font style.
  3. Select the Show server and chassis info check box to show the chassis and server information on the LCD display.
  4. Type the activation code for a particular feature in Feature Activation box and then select Activate to activate the feature.
  5. Select Save/Reload stream config (disable for faster reboot) check box to save a part of the information in IxServer.ixs (the stream config). You can disable it to boot up IxServer faster.
  6. Select Disable Forcefully Clear Ownership check box, to stop the users from forcefully clear ownership.
  7. Select OK on the IxServer Options dialog box to save the changes.

Related Topics Link Icon Related Topics